stages:
  - test
  - push
  - deploy

test_job:
  stage: test
  image: python:3.11
  script:
    - echo "hello"
    #- apt-get update && apt install make -y
    #- make test
  
push_job:
  stage: push
  image: docker:24.0.7
  services:
    - docker:24.0.7-dind
  before_script:
    - docker login -u $DOCKER_USER -p $DOCKER_PASS
  script:
    - docker build -t aktham3/python-gitlab .
    - docker push  aktham3/python-gitlab

deploy_job:
  stage: deploy
  tags:
    - first
  before_script:
    - docker login -u $DOCKER_USER -p $DOCKER_PASS
  script:
    - docker pull aktham3/python-gitlab
    - docker run -d -p 5000:5000 aktham3/python-gitlab sleep 999
